#language: ru

@perform

Функционал: Создание пользователей

Сценарий: Подключение

	Дано Я подключаюсь под "Администратор"

# МЕС

Сценарий: Создание профиля для сыродела через ТСД

	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И я нажимаю на кнопку 'Профили групп доступа'
	Тогда я жду открытия окна 'Профили групп доступа' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'Киоски(меню учетных точек)' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда я жду открытия окна 'Профиль групп доступа (создание)' в течение 20 секунд
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Да'      | 'Работа с киоском'            |
	И в таблице "Роли" я снимаю флаг 'Пометка'
	И в таблице "Роли" я завершаю редактирование строки
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Нет'     | 'Работа с ТСД'                |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я завершаю редактирование строки
	И в поле 'Наименование' я ввожу текст 'АРМ Сыродела'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Профиль групп доступа (создание)' в течение 20 секунд
	Тогда я жду открытия окна 'Профили групп доступа' в течение 20 секунд
	И Я закрываю окно 'Профили групп доступа'
	Тогда я жду открытия окна 'Настройки пользователей и прав' в течение 20 секунд
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: Создание групп пользователей

	И Я создаю группу доступа "Киоски(комплектация)" с профилем "Киоски(комплектация через весы)"
	И Я создаю группу доступа "Базовые права" с профилем "Базовый профиль"
	И Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	И Я создаю группу доступа "Киоски (меню учетных точек)" с профилем "Киоски(меню учетных точек)"
	И Я создаю группу доступа "Лаборанты" с профилем "Лаборанты"
	И Я создаю группу доступа "Лаборанты приемки молока" с профилем "Лаборанты приемки молока"
	И Я создаю группу доступа "Мастера сырцеха" с профилем "Мастера сырцеха"
	И Я создаю группу доступа "Приемщик молока" с профилем "Приемка молока по количеству"
	И Я создаю группу доступа "Созревание сыра" с профилем "Созревание сыра"
	И Я создаю группу доступа "Сырцех" с профилем "Сыродельный цех"
	И Я создаю группу доступа "Технологи" с профилем "Технологи"
	И Я создаю группу доступа "ТСД" с профилем "ТСД"
	И Я создаю группу доступа "АРМ Сыродела" с профилем "АРМ Сыродела"
	И Я создаю группу доступа "Чтение НСИ для OPC" с профилем "Чтение НСИ для OPC"

Сценарий: Создание пользователей

	И Я создаю пользователя "Лаборант приемки молока" с профилями "Базовые права;Лаборанты приемки молока"
	И Я создаю пользователя "Бригада на комплектации" с профилями "Базовые права;Киоски(комплектация)"
	И Я создаю пользователя "Киоск" с профилями "Базовые права;Киоски (меню учетных точек);Чтение НСИ для OPC"
	И Я создаю пользователя "ТСД" с профилями "Базовые права;ТСД"
	И Я создаю пользователя "Лаборант" с профилями "Базовые права;Лаборанты"
	И Я создаю пользователя "Мастер сырцеха" с профилями "Базовые права;Мастера сырцеха;Чтение НСИ для OPC"
	И Я создаю пользователя "Приемщик молока" с профилями "Базовые права;Приемщик молока;Чтение НСИ для OPC"
	И Я создаю пользователя "Цех созревания сыра" с профилями "Базовые права;Созревание сыра"
	И Я создаю пользователя "Технолог" с профилями "Базовые права;Технологи"
	И Я создаю пользователя "Сырцех" с профилями "Базовые права;Сырцех"
	И Я создаю пользователя "Сыродел ТСД" с профилями "Базовые права;АРМ Сыродела"

# k2

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Ведение номенклатуры

	И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
	И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Ведение организаций

	И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
	И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Ведение контрагентов

	И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
	И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Ценообразование

	И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
	И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Создание заказов клиентов

	И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
	И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"

Сценарий: 03.01.001.000. Ценообразование. Создание пользователя Формирование накладных

	И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
	И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"

Сценарий: 03.01.001.000. Ценообразование. Создание основного менеджера
	
	И Я создаю пользователя "Основной менеджер" с профилями "Базовый профиль"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Ведение номенклатуры

	И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
	И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Ведение организаций

	И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
	И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Ведение контрагентов

	И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
	И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	
Сценарий: 03.02.001.000. Документооборот. Создание пользователя Ведение НСИ транспортной логистики

	И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
	И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	
Сценарий: 03.02.001.000. Документооборот. Создание пользователя Ценообразование

	И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
	И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	
Сценарий: 03.02.001.000. Документооборот. Создание пользователя Создание заказов клиентов

	И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
	И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Формирование накладных

	И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
	И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Проверка заказов клиентов

	И Я создаю группу доступа "Проверка заказов клиентов" с профилем "Проверка заказов клиентов"
	И Я создаю пользователя "Проверка заказов клиентов" с профилями "Базовый профиль;Проверка заказов клиентов"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Создание планов отгрузки

	И Я создаю группу доступа "Создание планов отгрузки" с профилем "Создание планов отгрузки"
	И Я создаю пользователя "Создание планов отгрузки" с профилями "Базовый профиль;Создание планов отгрузки"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Создание заданий на доставку

	И Я создаю группу доступа "Создание заданий на доставку" с профилем "Создание заданий на доставку"
	И Я создаю пользователя "Создание заданий на доставку" с профилями "Базовый профиль;Создание заданий на доставку"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Создание заказов на перемещение

	И Я создаю группу доступа "Создание заказов на перемещение" с профилем "Создание заказов на перемещение"
	И Я создаю пользователя "Создание заказов на перемещение" с профилями "Базовый профиль;Создание заказов на перемещение"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Возврат товаров

	И Я создаю группу доступа "Возврат товаров" с профилем "Возврат товаров"
	И Я создаю пользователя "Возврат товаров" с профилями "Базовый профиль;Возврат товаров"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Передача товаров между организациями

	И Я создаю группу доступа "Передача товаров между организациями" с профилем "Передача товаров между организациями"
	И Я создаю пользователя "Передача товаров между организациями" с профилями "Базовый профиль;Передача товаров между организациями"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Формирование накладных на неавтоматизированных складах

	И Я создаю группу доступа "Формирование накладных на неавтоматизированных складах" с профилем "Формирование накладных на неавтоматизированных складах"
	И Я создаю пользователя "Формирование накладных на неавтоматизированных складах" с профилями "Базовый профиль;Формирование накладных на неавтоматизированных складах"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Мобильный Клиент. Заказы клиента

	И Я создаю группу доступа "Мобильный Клиент. Заказы клиента" с профилем "Мобильный Клиент. Заказы клиента"
	И Я создаю пользователя "Мобильный Клиент. Заказы клиента" с профилями "Базовый профиль;Мобильный Клиент. Заказы клиента"

Сценарий: 03.02.001.000. Документооборот. Создание пользователя Мобильный Клиент. Заказы на перемещение

	И Я создаю группу доступа "Мобильный Клиент. Заказы на перемещение" с профилем "Мобильный Клиент. Заказы на перемещение"
	И Я создаю пользователя "Мобильный Клиент. Заказы на перемещение" с профилями "Базовый профиль;Мобильный Клиент. Заказы на перемещение"

Сценарий: 05.000.3. Разруб. Создание Пользователей

	И Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	И Я создаю группу доступа "Планирование разруба" с профилем "Планирование разруба"
	И Я создаю пользователя "Планирование разруба" с профилями "Базовый профиль;Планирование разруба"
	И Я создаю группу доступа "Изменение НСИ разруба" с профилем "Изменение НСИ разруба"
	И Я создаю пользователя "Изменение НСИ разруба" с профилями "Базовый профиль;Изменение НСИ разруба"
	И Я создаю группу доступа "Формирование потребностей по заказам" с профилем "Формирование потребностей по заказам"
	И Я создаю пользователя "Формирование потребностей по заказам" с профилями "Базовый профиль;Формирование потребностей по заказам"

Сценарий: 03.08.001.000. Закупки. Создание пользователя Ведение номенклатуры

	И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
	И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"

Сценарий: 03.08.001.000. Закупки. Создание пользователя Ведение организаций

	И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
	И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"

Сценарий: 03.08.001.000. Закупки. Создание пользователя Ведение контрагентов

	И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
	И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	
Сценарий: 03.08.001.000. Закупки. Создание пользователя Ценообразование

	И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
	И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"

Сценарий: 03.08.001.000. Закупки. Создание пользователя Создание заказов клиентов

	И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
	И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Ведение номенклатуры

	И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
	И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Ведение организаций

	И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
	И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Ведение контрагентов

	И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
	И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	
Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Ценообразование

	И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
	И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Создание заказов клиентов

	И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
	И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Ведение НСИ транспортной логистики

	И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
	И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Создание планов отгрузки

	И Я создаю группу доступа "Создание планов отгрузки" с профилем "Создание планов отгрузки"
	И Я создаю пользователя "Создание планов отгрузки" с профилями "Базовый профиль;Создание планов отгрузки"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Создание заданий на доставку

	И Я создаю группу доступа "Создание заданий на доставку" с профилем "Создание заданий на доставку"
	И Я создаю пользователя "Создание заданий на доставку" с профилями "Базовый профиль;Создание заданий на доставку"

Сценарий: 03.09.001.000. Тары и возвратные тары. Создание пользователя Формирование накладных

	И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
	И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"